:root {
    --background-color: #f2f2f2;
    --font-calculator: sans-serif;
    --color-calculator: #ddd;
}
body {
    font-family: var(--font-calculator);
    text-align: center;
    background-color: var(--background-color);
    margin: 0;
    padding: 0;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}
  
.calculator {
    width: 90%;
    height: 50%;
    background-color: var(--color-calculator);
    border-radius: 5px;
    padding: 10px;
    box-shadow: 2px 2px 2px #888;
}
  
.calculator__display {
    width: 100%;
    height: 10%;
    margin-bottom: 10px;
    font-size: 20px;
    text-align: right;
    border: none;
}
  
.calculator__buttons {
    display: grid;
    height: 88%;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 0.5rem;
}
  
.calculator__button {
    background-color: var(--background-color);
    border: none;
    border-radius: 5px;
    font-size: 20px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}
  
.calculator__button:hover {
    background-color: #ccc;
}

@media only screen and (min-width: 635px){
    .calculator {
        width: 40%;
    }
}
  